Revoke user access

Revokes access to the current Makaira customer for one or more users. Requires user:write or usermanagement.write.

This is the product equivalent of deletion: the users can no longer use this account. You cannot revoke the user you are currently authenticated as. Users with full internal access cannot be removed this way.

Request

DELETE /user

Headers

HeaderValue
AuthorizationBearer <token> (or HMAC headers, see Authentication)

Parameters

ParameterTypeRequiredDescription
idsarrayYesArray of user IDs. Pass as repeated query parameters ids[] or in the request body.

Example Request

DELETE /user?ids[]=auth0|abc123&ids[]=auth0|def456

Response

{
  "ok": true
}

If some IDs cannot be revoked, the API responds with HTTP 400.

Query Params
ids[]
array of strings
required
ids[]*
Response
200

Successful response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!